1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Tomcat breaks after upgrade

Discussion in 'Plesk for Linux - 8.x and Older' started by cuppett, Apr 10, 2006.

  1. cuppett

    cuppett Guest

    0
     
    My working web applications stopped working after upgrade. I don't know if mod_jk got upgraded or not, but for some reason the ifmodule mod_jk.so doesn't work anymore. Commenting out the ifmodule seems to make the jk try to go to Tomcat.

    Then, once it's there, it appears that the webapps aren't there. I get 404 errors.

    A re-install of Tomcat altogether doesn't work to resolve stuff either.

    You would think that totally removing all *tomcat* RPMs and mod_jk and then re-installing them would get it back; however, if you blow away the /var/tomcat4 directory, there isn't enough information consolidated in the tomcat only RPMs to ensure that Plesk is even able to talk to tomcat again. And the psa-* directories won't even get recreated under /var/tomcat4.

    This support has always been flaky, but now it just won't work... period.
     
Loading...